v1.0
delete
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/randlistdesigns/randlists/{listId}/studyversions/{studyVersion}
Dissociates a randomization design from a randomization list in the system. Rights: OrsRandListPost, OrsUnblinded.
Request
Path Parameters
-
listId(required): string(uuid)
ID of the randomization list.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
-
studyVersion(required): string
String representing the version of the study configuration or protocol. Helps track changes in form or study design.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Response
Type:
Show Source
object-
allowedMethods: array
allowedMethods
Unique Items Required:
true -
closed: boolean
-
cookies: object
cookies
Additional Properties Allowed: NewCookie
-
date: string
(date-time)
-
entity: object
entity
-
entityTag: object
EntityTag
-
headers: object
headers
Additional Properties Allowed: additionalProperties
-
language: object
language
-
lastModified: string
(date-time)
-
length: integer
(int32)
-
links: array
links
Unique Items Required:
true -
location: string
(uri)
-
mediaType: object
MediaType
-
metadata: object
metadata
Additional Properties Allowed: additionalProperties
-
status: integer
(int32)
-
statusInfo: object
StatusType
-
stringHeaders: object
stringHeaders
Additional Properties Allowed: additionalProperties
Nested Schema : entity
Type:
objectNested Schema : language
Type:
Show Source
object-
country: string
-
displayCountry: string
-
displayLanguage: string
-
displayName: string
-
displayScript: string
-
displayVariant: string
-
extensionKeys: array
extensionKeys
Unique Items Required:
true -
iso3Country: string
-
iso3Language: string
-
language: string
-
script: string
-
unicodeLocaleAttributes: array
unicodeLocaleAttributes
Unique Items Required:
true -
unicodeLocaleKeys: array
unicodeLocaleKeys
Unique Items Required:
true -
variant: string
Nested Schema : MediaType
Type:
Show Source
object-
parameters: object
parameters
Additional Properties Allowed: additionalProperties
-
subtype: string
-
type: string
-
wildcardSubtype: boolean
-
wildcardType: boolean
Nested Schema : StatusType
Type:
Show Source
object-
family: string
Allowed Values:
[ "INFORMATIONAL", "SUCCESSFUL", "REDIRECTION", "CLIENT_ERROR", "SERVER_ERROR", "OTHER" ] -
reasonPhrase: string
-
statusCode: integer
(int32)
Nested Schema : NewCookie
Type:
Show Source
object-
comment: string
-
domain: string
-
expiry: string
(date-time)
-
httpOnly: boolean
-
maxAge: integer
(int32)
-
name: string
-
path: string
-
sameSite: string
Allowed Values:
[ "NONE", "LAX", "STRICT" ] -
secure: boolean
-
value: string
-
version: integer
(int32)
Nested Schema : items
Type:
objectNested Schema : Link
Type:
Show Source
object-
params: object
params
Additional Properties Allowed: additionalProperties
-
rel: string
-
rels: array
rels
-
title: string
-
type: string
-
uri: string
(uri)
-
uriBuilder: object
UriBuilder
Nested Schema : UriBuilder
Type:
objectNested Schema : items
Type:
object404 Response
Randomization design is not associated with randomization list for this study version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object